<?php
/**
 * Plugin Name: WPShop Themes: Show hidden license
 * Description: Show hidden license key in WPShop themes.
 * Plugin URI:  https://wpshop.biz/
 * Author:      WPShop.biz
 * Author URI:  https://wpshop.biz/
 * License:     WPShop License
 * License URI: https://wpshop.biz/license
 */

namespace Wpshop\Themes\Plugins\ShowHiddenLicense;

defined( 'ABSPATH' ) or die();

/**
 * Show hidden license key
 */
function activation() {

	$themes = [
		'reboot' => 'reboot_settings',
		'yelly' => 'yelly_settings',
		'journalx' => 'journalx_settings',
		'cook it' => 'cook_it_settings',
		'root' => 'revelation_options',
		// 'bono' not working
	];

	// get theme
	$theme = wp_get_theme();
	if ( $theme->parent() ) {
		$theme = $theme->parent();
	}
	$theme_name = strtolower( $theme->get( 'Name' ) );

	// search theme
	foreach ( $themes as $k => $v ) {
		if ( $theme_name == $k ) {
			$option_name = $v;
		}
	}

	// remove license hide option
	if ( ! empty( $option_name ) ) {
		$theme_settings = get_option( $option_name );
		unset( $theme_settings['license_hide'] );
		update_option( $option_name, $theme_settings );
	}

}

register_activation_hook( __FILE__, __NAMESPACE__ . '\activation' );